## class Fl_File_Input

### Class Hierarchy

    Fl_Input
       |
       +----Fl_File_Input

### Include Files

    #include <FL/Fl_File_Input.H>

### Description

This widget displays a pathname in a text input field. A navigation bar located above the input field allows the user to navigate upward in the directory tree.

### Methods

- Fl_File_Input
- ~Fl_File_Input
- down_box

#### Fl_File_Input::Fl_File_Input(int x, int y, int w, int h, const char *label = 0)

Creates a new `Fl_File_Input` widget using the given position, size, and label string. The default boxtype is `FL_DOWN_BOX`.

#### virtual Fl_File_Input::~Fl_File_Input()

Destroys the widget and any value associated with it.

#### Fl_Boxtype Fl_File_Input::down_box() const
void Fl_File_Input::down_box(Fl_Boxtype b)

Gets or sets the box type to use for the navigation bar.